Results 1 to 3 of 3

Thread: Select 4 differant line at once and get all the endpoints

  1. #1
    Member
    Join Date
    2014-11
    Posts
    21
    Login to Give a bone
    0

    Default Select 4 differant line at once and get all the endpoints

    Here is what I have I want it to highlight the lines while I am selecting them but I need to get the endpoints of all of them for this command

    Code:
     (setq hor1 (entget (car (entsel "\nSelect the First horizontal line:"))))
      (setq hr1 (cdr(assoc 10 hor1)))
      (setq hr2 (cdr (assoc 11 hor1)))
      (setq hor2 (entget (car (entsel "\nSelect the second horizontal line:"))))
      (setq hr3 (cdr(assoc 10 hor2)))
      (setq hr4 (cdr(assoc 11 hor2)))
      (setq ang1 (entget (car (entsel "\nSelect the first Oblique line:"))))
      (setq an1 (cdr(assoc 10 ang1)))
      (setq an2 (cdr (assoc 11 ang1)))
      (setq ang2 (entget (car (entsel "\nSelect the second Oblique line:"))))
      (setq an3 (cdr(assoc 10 ang2)))
      (setq an4 (cdr (assoc 11 ang2)))
    Last edited by rkmcswain; 2017-09-27 at 11:57 AM. Reason: added [CODE] tags

  2. #2
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,667
    Login to Give a bone
    0

    Default Re: Select 4 differant line at once and get all the endpoints

    What is it you're trying to do with these lines or points?

  3. #3
    All AUGI, all the time
    Join Date
    2003-07
    Posts
    561
    Login to Give a bone
    0

    Default Re: Select 4 differant line at once and get all the endpoints

    Select the lines first as a normal pick select then try (ssget "P") which will make a selection set with the 4 lines. Did not test order. Do say a message about pick order.

Similar Threads

  1. Compare line endpoints to points and adjust lines
    By GreyHippo in forum AutoLISP
    Replies: 5
    Last Post: 2018-08-15, 09:20 AM
  2. 2014: Cant select / delete this line
    By b.dejong678894 in forum Revit MEP - General
    Replies: 2
    Last Post: 2015-03-26, 12:29 AM
  3. Cannot select endpoints on imported survey
    By jwilhelm in forum Revit Architecture - General
    Replies: 3
    Last Post: 2009-05-09, 10:31 PM
  4. Quick Select from the Command Line...
    By Marv Muston in forum AutoLISP
    Replies: 5
    Last Post: 2008-01-07, 03:29 PM
  5. Replies: 4
    Last Post: 2006-02-28, 07:43 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •